
QGIS Application - Bug report #21579

layers with same name will make system slow to an unusable level

2019-03-13 09:05 PM - Tony Walters

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.6.0 Regression?: No

Operating System: Win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 29395

Description

If I mistakenly add 2 layers to the layer panel e.g. each named "IPT_SouthShore_unique", system slows to a crawl.  Each layer points to

the same shapefile.  When I remove one of the layers, system runs fast again.

Id there is no underlying bug e.g. natural contention is occurring, then an enhancement to add new layer could check for existence of layer

with same name, possibly warn user and give option to proceed or not.

History

#1 - 2019-03-14 12:56 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from Browser to Unknown

Can't confirm this on 3.6 and both Linux/Windows. Could you attach a sample shapefile that shows this problem? have you tried with a new/clean profile?

#2 - 2019-03-23 03:02 PM - Tony Walters

Upgraded to new system with a clean install of 3.6.  This symptom has disappeared at the moment so we can close this off.  Thx for the assistance.

#3 - 2019-03-24 01:17 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed
